{% load static %}

{% include 'sub_templates/base.html' %}
{{'menu.scss'|css_compiler|safe}}

<head>
  <title>Seleccionar proyecto</title>

  <script type="text/javascript">
    function select_project(){
      project_id = $('#selected-project').val()

      if(project_id != ''){
        window.location.href = 'http://'+window.location.host+'/'+project_id+'/tipo_automatizacion';
      }
    }

    function edit_project(){
      project_id = $('#selected-project').val()

      if(project_id != ''){
        current_name = $('#selected-project option:selected').text()
        $('#edit-project').modal('toggle')
        $('#edit-project-form').attr('action', '/project/update/'+project_id)
        $('#edit-project-form input[name=name]').val(current_name)
      }
    }

    function delete_project(){
      current_name = $('#selected-project option:selected').text()
      if (confirm("Esta seguro de querer borrar el proyecto '"+current_name.trim()+"'\n\nImportante: Esto borrara todos los test creados en el proyecto")){
        project_id = $('#selected-project').val();
        $.ajax({
          url: '/project/delete/'+project_id,
          type: 'DELETE',
          success: function(result){
            location.reload();
          },
          error: function(result){
            console.log(result)
          }
        })
      }
    }
  </script>
</head>

<body style="background-image: url(/static/assets/brain-background1.jpg);">
  <div class="title">
    <h1 class="text-center">Herramienta de automatizacion de Testing</h1>
  </div>
  <div class="container">
    <div class="row align-items-center post-title-container">
      <!-- <div class="col">
        <img src="{% static 'assets/artificial-intelligence.png' %}" class="img-fluid">
      </div> -->
      <div class="col-7 centerX">

        <div class="row mb-5">
          <select class="custom-select custom-select-lg col-9 mr-2" id="selected-project">
            <option value="">Seleccionar un Proyecto</option>
            {% for project in projects %}
            <option value="{{project.id}}">{{project.name}}</option>
            {% endfor %}
          </select>
          <button type="button" class="btn btn-secondary col mr-2" onclick="select_project();">Ir</button>
          <button type="button" class="btn btn-secondary col" onclick="edit_project();">Editar</button>
        </div>
        <div class="row">
          <button type="button" class="btn btn-info btn-lg m-auto" data-toggle="modal" data-target="#add-project">Crear un Nuevo Proyecto</button>
        </div>

      </div>
    </div>
  </div>


  <!-- Modal Agregar Proyecto -->
  <div class="modal fade" id="add-project" tabindex="-1" role="dialog" aria-labelledby="add-project-title" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="add-project-title">Crear nuevo Proyecto</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form class="modal-body" id="add-project-form" method="POST" action="/project/create">
          {% csrf_token %}
          <div class="container">
            <div class="row">
              <label class="col-sm-2 col-form-label">Nombre</label>
              <div class="col-sm-10">
                <input type="text" name="name" class="form-control" placeholder="Nombre del nuevo proyecto" required>
              </div>
            </div>
          </div>
        </form>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" form="add-project-form">Añadir</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal Editar Proyecto -->
  <div class="modal fade" id="edit-project" tabindex="-1" role="dialog" aria-labelledby="edit-project-title" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="edit-project-title">Editar Proyecto</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form class="modal-body" id="edit-project-form" method="POST">
          {% csrf_token %}
          <div class="container">
            <div class="row">
              <label class="col-sm-2 col-form-label">Nombre</label>
              <div class="col-sm-10">
                <input type="text" name="name" class="form-control" placeholder="Nuevo nombre del proyecto" required>
              </div>
            </div>
          </div>
        </form>
        <div class="modal-footer">
          <!-- <button type="button" class="btn btn-danger delete" onclick="delete_project();">Eliminar</button> -->
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" form="edit-project-form">Editar</button>
        </div>
      </div>
    </div>
  </div>
</body>